<?php
/**
 * Created by PhpStorm.
 * User: jedi
 * Date: 12/27/18
 * Time: 4:46 AM
 */
?>


    <div class="container-fluid">

        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="#">Dashboard</a>
            </li>
            <li class="breadcrumb-item">Found</li>
            <li class="breadcrumb-item active">Add</li>
        </ol>

        <div id="alertmessage" class="collapse alert alert-danger" role="alert">
            This is a danger alert—check it out!
        </div>


        <div id="successmessage" class="collapse alert alert-success" role="alert">
            A simple success alert—check it out!
        </div>

        <!-- Area Chart Example-->
        <div class="card mb-3">
            <div class="card-header">
                <i class="fas fa-plus"></i>
                Insert Item into DB
            </div>
            <div class="card-body">
                <form method="POST" action="/action.php?action=add_found" id="found_form">
                <p><input type="text" class="form-control" placeholder="WANN" name="wann" value="<?php echo date("Y-m-d H:i:s");?>"></p>
                <p><input type="text" class="form-control" placeholder="WO" name="wo"></p>
                <p><input type="text" class="form-control" placeholder="WAS" name="was"></p>
                    <p><button type="submit" class="form-control" onclick="testajax(); return false;">Submit</button></p>
                </form>
            </div>
            <div class="card-footer small text-muted">Updated yesterday at 11:59 PM</div>
        </div>

    </div>
    <!-- /.container-fluid -->


<script>

    function testajax(){
        $.post( "/ajax.php?action=add_found", $( "#found_form" ).serialize() ).done(function( data ) {;
            reply = JSON.parse(data);
            if(reply.status == "ok"){
                $( "#found_form" ).trigger("reset");
                $("#alertmessage").collapse('hide');
                $("#successmessage").html(reply.message).collapse('show');
            }else{
                $("#successmessage").collapse('hide');
                $("#alertmessage").html(reply.message).collapse('show');
            }
        }).fail(function() {
            $("#successmessage").collapse('hide');
            $("#alertmessage").html("error").collapse('show');
        });

    }

</script>




<!-- Bootstrap core JavaScript-->
<script src="/vendor/jquery/jquery.min.js"></script>
<script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Page level plugin JavaScript-->
<script src="/vendor/chart.js/Chart.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="/js/sb-admin.min.js"></script>

<!-- Demo scripts for this page-->
<script src="/js/demo/chart-area-demo.js"></script>
<script src="/js/demo/chart-bar-demo.js"></script>
<script src="/js/demo/chart-pie-demo.js"></script>